VDSLD_APP_BUILD_DIR=$(BASE_DIR)/../fusiv_src/user/vdsld
export CC_COMPILER     = $(TARGET_CC)

export VDSL_FLAGS = -DLINUX_2_6
$(VDSLD_APP_BUILD_DIR)/vdsld:
	@cp $(VDSLD_APP_BUILD_DIR)/rcS $(TARGET_DIR)/etc/init.d/
	(cd $(VDSLD_APP_BUILD_DIR); make) || exit;
	@cp $(VDSLD_APP_BUILD_DIR)/vdsld $(TARGET_DIR)/bin
	@cp $(VDSLD_APP_BUILD_DIR)/vdsl $(TARGET_DIR)/bin
	@cp $(VDSLD_APP_BUILD_DIR)/vdsl.conf $(TARGET_DIR)/etc


vdsld: $(VDSLD_APP_BUILD_DIR)/vdsld
vdsld-clean:
#	-rm -f $(VDSLD_APP_BUILD_DIR)/profile
#	-rm -f $(VDSLD_APP_BUILD_DIR)/profile.o
#	-rm -f $(VDSLD_APP_BUILD_DIR)/trep.o

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(CONFIG_FUSIV_USER_VDSLD)),y)
TARGETS+=vdsld
endif

